Thank you for taking the time to consider making a contribution to the
cfdm package.

# General Guidelines

General questions, suggestions for enhancements, and reports of bugs
may be reported in the GitHub issue tracker:
https://github.com/NCAS-CMS/cfdm/issues

Contributions are welcome and should first be raised as issues in the
GitHub issue tracker: https://github.com/NCAS-CMS/cfdm/issues, prior
to submitting a pull request containing the new code made from a fork
of the cfdm GitHub code repository: https://github.com/NCAS-CMS/cfdm.

# Change log

See the change log
(https://github.com/NCAS-CMS/cfdm/blob/master/Changelog.rst) for the
changes introduced by each version.

# Versioning

A ``CF.major.minor`` numeric version scheme is used, where ``CF`` is
the version of the CF conventions (e.g. ``1.9``) to which a particular
version of cfdm applies.

## Major changes comprise

  * changes to the API, such as
    - changing the name of an existing function or method;
    - changing the behaviour of an existing function or method;
    - changing the name of an existing keyword parameter;
    - changing the default value of an existing keyword parameter;
    - changing the meaning of a value of an existing keyword parameter.
    - introducing a new function or method;
    - introducing a new keyword parameter;
    - introducing a new permitted value of a keyword parameter;

 * changes to required versions of the dependencies.

## Minor changes comprise

  * bug fixes that do not change the API;
  * changes to the documentation;
  * code tidying.
